Search

GlobalSCAPE Knowledge Base

Which browser versions are supported with EFT?

Karla Marsh
EFT Express (SMB) & Enterprise

THE INFORMATION IN THIS ARTICLE APPLIES TO:

  • EFT, v7.0 and later

QUESTION

Which browsers versions are supported with EFT clients?

ANSWER

Browser manufacturers frequently update their browsers to adapt to the market need and, more importantly, to protect users against the latest security threats. Because of this, Globalscape Quality Control tests EFT clients (WTC, Workspaces) with the current browser version available at the time of release, as shown in the table below. (Internet Explorer does support uploads >4GB.)

EFT
Version

Release Date

Chrome
Version

IE
Version

Firefox
Version

Safari
Version

Microsoft 
 EDGE

7.4.13

03/14/2019

73

11

65

11

44

 7.4.11

 10/24/2018

 70

 11

 64

 11

42

7.4.7

05/05/2018

68

11

61

11

42

7.3.8
7.4.5

11/21/2017

62

11

59

11

41

7.4.2

08/29/2017

61

11

57

10

40

7.2.10
7.3.7
7.4.1

08/01/2017

60

11

56

10

40

7.2.9
7.3.6

05/29/2017

57

11

52

10

40

7.2.6
7.3.3

12/06/2016

55

11

50

9

39

7.3.2

08/30/2016

53

11

48

9

39

7.2.4

07/05/2016

52

11

47

9

38

7.3

04/25/2016

49

11

45

9.1

34

7.2.1
7.2.2

10/27/2015

48

11

44

9

25

7.1.5
7.2

10/22/2015

46

11

41

9

25

7.1.3

07/25/2015

44

11

39

8

20

7.1.2

06/24/2015

43

11

38

8

16

7.1

03/02/2015

41

11

37

8

N/A

7.3

10/24/2014

38

11

33

8

N/A

7.1

08/11/2014

37

11

31

7

N/A

7.0

07/13/2014

36

11

31

7

N/A

Information on browser version available at the time of release taken from:
Details
Last Modified: 4 Months Ago
Last Modified By: kmarsh
Type: FAQ
Rated 3 stars based on 7 votes.
Article has been viewed 17K times.
Options
Also In This Category
Tags